Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 807)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/GameTools_Localized_EnvMap.hlsl	(revision 875)
@@ -119,4 +119,5 @@
 		
 	RR = R;	TT = T;
+	//RR += 0.000001 * lastCenter.x;
 	RR = Hit(mPos, R, DistanceMap);
 	TT = Hit(mPos, T, DistanceMap);
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 788)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsParticleDemo/include/GameToolsParticleDemo.h	(revision 875)
@@ -97,4 +97,7 @@
 			OgreIlluminationManager::getSingleton().update(framenum, mWindow);
 			
+			//mRoot->renderOneFrame();
+			mRoot->_updateAllRenderTargets();
+
 			mRoot->_fireFrameEnded();	
 			
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 835)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsRaytraceDemo/include/GameToolsRaytraceDemo.h	(revision 875)
@@ -27,6 +27,6 @@
 
 bool HighQuality = false;
-float causize = 4;
-float cauintens = 25;
+float causize = 7;
+float cauintens = 40;
 
 // Listener class for frame updates
@@ -153,4 +153,5 @@
     }
 
+
 protected:
 	SceneNode* kupolaNode;
@@ -161,6 +162,5 @@
 	SceneNode* aluSphereNode;
 
-		
-	void renderScene(){
+void renderScene(){
 		
 		mWindow->resetStatistics();
@@ -185,10 +185,8 @@
 			
 			OgreIlluminationManager::getSingleton().update(framenum, mWindow);
-
-			//Root::getSingleton().renderOneFrame();
-			
-			
-			
-			
+			
+			//mRoot->renderOneFrame();
+			mRoot->_updateAllRenderTargets();
+
 			mRoot->_fireFrameEnded();	
 			
@@ -335,4 +333,5 @@
 											aluSphereNode);
         mRoot->addFrameListener(mFrameListener);
+		//mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
 
     }
